<?php
/**
 * @file
 * ua_block_types.features.field_instance.inc
 */

/**
 * Implements hook_field_default_field_instances().
 */
function ua_block_types_field_default_field_instances() {
  $field_instances = array();

  // Exported field_instance: 'bean-ua_captioned_image-field_ua_image_author'.
  $field_instances['bean-ua_captioned_image-field_ua_image_author'] = array(
    'bundle' => 'ua_captioned_image',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Use to credit to the original author or authors of the image, and optionally link to a URL with more information.',
    'display' => array(
      'default' => array(
        'label' => 'hidden',
        'module' => 'link',
        'settings' => array(),
        'type' => 'link_default',
        'weight' => 3,
      ),
    ),
    'entity_type' => 'bean',
    'field_name' => 'field_ua_image_author',
    'label' => 'Author',
    'required' => 0,
    'settings' => array(
      'absolute_url' => 1,
      'attributes' => array(
        'class' => '',
        'configurable_class' => 0,
        'configurable_title' => 0,
        'rel' => 'author',
        'target' => 'default',
        'title' => '',
      ),
      'display' => array(
        'url_cutoff' => 80,
      ),
      'enable_tokens' => 1,
      'rel_remove' => 'default',
      'title' => 'required',
      'title_label_use_field_label' => 0,
      'title_maxlength' => 128,
      'title_value' => '',
      'url' => 'optional',
      'user_register_form' => FALSE,
      'validate_url' => 1,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'link',
      'settings' => array(),
      'type' => 'link_field',
      'weight' => 6,
    ),
  );

  // Exported field_instance: 'bean-ua_captioned_image-field_ua_image_caption'.
  $field_instances['bean-ua_captioned_image-field_ua_image_caption'] = array(
    'bundle' => 'ua_captioned_image',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'A short description of one particular image.',
    'display' => array(
      'default' => array(
        'label' => 'hidden',
        'module' => 'text',
        'settings' => array(),
        'type' => 'text_default',
        'weight' => 5,
      ),
    ),
    'entity_type' => 'bean',
    'field_name' => 'field_ua_image_caption',
    'label' => 'Caption',
    'required' => 0,
    'settings' => array(
      'text_processing' => 1,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'text',
      'settings' => array(
        'rows' => 5,
      ),
      'type' => 'text_textarea',
      'weight' => 8,
    ),
  );

  // Exported field_instance: 'bean-ua_captioned_image-field_ua_image_license'.
  $field_instances['bean-ua_captioned_image-field_ua_image_license'] = array(
    'bundle' => 'ua_captioned_image',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'License under which the image is used or re-used (for example CC BY, or Public Domain), optionally linked to the full version of the license.',
    'display' => array(
      'default' => array(
        'label' => 'hidden',
        'module' => 'link',
        'settings' => array(),
        'type' => 'link_default',
        'weight' => 4,
      ),
    ),
    'entity_type' => 'bean',
    'field_name' => 'field_ua_image_license',
    'label' => 'License',
    'required' => 0,
    'settings' => array(
      'absolute_url' => 1,
      'attributes' => array(
        'class' => '',
        'configurable_class' => 0,
        'configurable_title' => 0,
        'rel' => '',
        'target' => 'default',
        'title' => '',
      ),
      'display' => array(
        'url_cutoff' => 80,
      ),
      'enable_tokens' => 1,
      'rel_remove' => 'default',
      'title' => 'required',
      'title_label_use_field_label' => 0,
      'title_maxlength' => 128,
      'title_value' => '',
      'url' => 'optional',
      'user_register_form' => FALSE,
      'validate_url' => 1,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'link',
      'settings' => array(),
      'type' => 'link_field',
      'weight' => 7,
    ),
  );

  // Exported field_instance: 'bean-ua_captioned_image-field_ua_image_title'.
  $field_instances['bean-ua_captioned_image-field_ua_image_title'] = array(
    'bundle' => 'ua_captioned_image',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Title for the image (original title preferred), optionally linked to the best source for the original.',
    'display' => array(
      'default' => array(
        'label' => 'hidden',
        'module' => 'link',
        'settings' => array(),
        'type' => 'link_default',
        'weight' => 2,
      ),
    ),
    'entity_type' => 'bean',
    'field_name' => 'field_ua_image_title',
    'label' => 'Source title',
    'required' => 0,
    'settings' => array(
      'absolute_url' => 1,
      'attributes' => array(
        'class' => '',
        'configurable_class' => 0,
        'configurable_title' => 0,
        'rel' => '',
        'target' => 'default',
        'title' => '',
      ),
      'display' => array(
        'url_cutoff' => 80,
      ),
      'enable_tokens' => 1,
      'rel_remove' => 'default',
      'title' => 'required',
      'title_label_use_field_label' => 0,
      'title_maxlength' => 128,
      'title_value' => '',
      'url' => 'optional',
      'user_register_form' => FALSE,
      'validate_url' => 1,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'link',
      'settings' => array(),
      'type' => 'link_field',
      'weight' => 5,
    ),
  );

  // Exported field_instance: 'bean-ua_captioned_image-field_ua_isolated_image'.
  $field_instances['bean-ua_captioned_image-field_ua_isolated_image'] = array(
    'bundle' => 'ua_captioned_image',
    'deleted' => 0,
    'description' => 'A freestanding image; please complete the Alt and Title information for accessibility.',
    'display' => array(
      'default' => array(
        'label' => 'hidden',
        'module' => 'image',
        'settings' => array(
          'image_link' => '',
          'image_style' => 'large_tile',
        ),
        'type' => 'image',
        'weight' => 1,
      ),
    ),
    'entity_type' => 'bean',
    'field_name' => 'field_ua_isolated_image',
    'label' => 'Image',
    'required' => 1,
    'settings' => array(
      'alt_field' => 1,
      'default_image' => 0,
      'file_directory' => 'images',
      'file_extensions' => 'png gif jpg jpeg',
      'max_filesize' => '',
      'max_resolution' => '',
      'min_resolution' => '',
      'title_field' => 1,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'image',
      'settings' => array(
        'preview_image_style' => 'thumbnail',
        'progress_indicator' => 'throbber',
      ),
      'type' => 'image_image',
      'weight' => 4,
    ),
  );

  // Exported field_instance:
  // 'bean-ua_contact_summary-field_ua_contact_address'.
  $field_instances['bean-ua_contact_summary-field_ua_contact_address'] = array(
    'bundle' => 'ua_contact_summary',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'hidden',
        'module' => 'text',
        'settings' => array(),
        'type' => 'text_default',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'bean',
    'field_name' => 'field_ua_contact_address',
    'label' => 'Address',
    'required' => 0,
    'settings' => array(
      'text_processing' => 0,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'text',
      'settings' => array(
        'size' => 60,
      ),
      'type' => 'text_textfield',
      'weight' => 11,
    ),
  );

  // Exported field_instance: 'bean-ua_contact_summary-field_ua_contact_email'.
  $field_instances['bean-ua_contact_summary-field_ua_contact_email'] = array(
    'bundle' => 'ua_contact_summary',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'General email address for this contact.',
    'display' => array(
      'default' => array(
        'label' => 'inline',
        'module' => 'link',
        'settings' => array(),
        'type' => 'link_default',
        'weight' => 1,
      ),
    ),
    'entity_type' => 'bean',
    'field_name' => 'field_ua_contact_email',
    'label' => 'Email',
    'required' => 0,
    'settings' => array(
      'absolute_url' => 1,
      'attributes' => array(
        'class' => '',
        'configurable_class' => 0,
        'configurable_title' => 0,
        'rel' => '',
        'target' => 'default',
        'title' => '',
      ),
      'display' => array(
        'url_cutoff' => 80,
      ),
      'enable_tokens' => 1,
      'rel_remove' => 'default',
      'title' => 'optional',
      'title_label_use_field_label' => 0,
      'title_maxlength' => 128,
      'title_value' => '',
      'url' => 0,
      'user_register_form' => FALSE,
      'validate_url' => 1,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'link',
      'settings' => array(),
      'type' => 'link_field',
      'weight' => 12,
    ),
  );

  // Exported field_instance: 'bean-ua_contact_summary-field_ua_contact_phone'.
  $field_instances['bean-ua_contact_summary-field_ua_contact_phone'] = array(
    'bundle' => 'ua_contact_summary',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'General phone number for the contact (use the form tel:+1-520-999-9999 for the URL).',
    'display' => array(
      'default' => array(
        'label' => 'inline',
        'module' => 'link',
        'settings' => array(),
        'type' => 'link_default',
        'weight' => 2,
      ),
    ),
    'entity_type' => 'bean',
    'field_name' => 'field_ua_contact_phone',
    'label' => 'Phone',
    'required' => 0,
    'settings' => array(
      'absolute_url' => 1,
      'attributes' => array(
        'class' => '',
        'configurable_class' => 0,
        'configurable_title' => 0,
        'rel' => '',
        'target' => 'default',
        'title' => '',
      ),
      'display' => array(
        'url_cutoff' => 80,
      ),
      'enable_tokens' => 1,
      'rel_remove' => 'default',
      'title' => 'optional',
      'title_label_use_field_label' => 0,
      'title_maxlength' => 128,
      'title_value' => '',
      'url' => 0,
      'user_register_form' => FALSE,
      'validate_url' => 0,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'link',
      'settings' => array(),
      'type' => 'link_field',
      'weight' => 13,
    ),
  );

  // Exported field_instance: 'bean-ua_illustrated_blurb-field_ua_blurb_text'.
  $field_instances['bean-ua_illustrated_blurb-field_ua_blurb_text'] = array(
    'bundle' => 'ua_illustrated_blurb',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'One or two paragraphs of text.',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'text',
        'settings' => array(),
        'type' => 'text_default',
        'weight' => 2,
      ),
    ),
    'entity_type' => 'bean',
    'field_name' => 'field_ua_blurb_text',
    'label' => 'Text',
    'required' => 0,
    'settings' => array(
      'text_processing' => 1,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'text',
      'settings' => array(
        'rows' => 5,
      ),
      'type' => 'text_textarea',
      'weight' => 15,
    ),
  );

  // Exported field_instance: 'bean-ua_illustrated_blurb-field_ua_read_more'.
  $field_instances['bean-ua_illustrated_blurb-field_ua_read_more'] = array(
    'bundle' => 'ua_illustrated_blurb',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => '',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'link',
        'settings' => array(),
        'type' => 'link_default',
        'weight' => 3,
      ),
    ),
    'entity_type' => 'bean',
    'field_name' => 'field_ua_read_more',
    'label' => 'Read More',
    'required' => 0,
    'settings' => array(
      'absolute_url' => 0,
      'attributes' => array(
        'class' => '',
        'configurable_class' => 0,
        'configurable_title' => 0,
        'rel' => '',
        'target' => 'default',
        'title' => '',
      ),
      'display' => array(
        'url_cutoff' => 80,
      ),
      'enable_tokens' => 1,
      'rel_remove' => 'default',
      'title' => 'value',
      'title_label_use_field_label' => 0,
      'title_maxlength' => 128,
      'title_value' => 'Read more »',
      'url' => 0,
      'user_register_form' => FALSE,
      'validate_url' => 1,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'link',
      'settings' => array(),
      'type' => 'link_field',
      'weight' => 16,
    ),
  );

  // Exported field_instance:
  // 'bean-ua_illustrated_blurb-field_ua_supporting_image'.
  $field_instances['bean-ua_illustrated_blurb-field_ua_supporting_image'] = array(
    'bundle' => 'ua_illustrated_blurb',
    'deleted' => 0,
    'description' => 'An image to support the text (which should still make sense if the image is absent). Provide image credits and accessibility support through the Alt and Title information.',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'image',
        'settings' => array(
          'image_link' => 'file',
          'image_style' => 'medium_inset_square',
        ),
        'type' => 'image',
        'weight' => 1,
      ),
    ),
    'entity_type' => 'bean',
    'field_name' => 'field_ua_supporting_image',
    'label' => 'Image',
    'required' => 0,
    'settings' => array(
      'alt_field' => 1,
      'default_image' => 0,
      'file_directory' => 'images',
      'file_extensions' => 'png gif jpg jpeg',
      'max_filesize' => '',
      'max_resolution' => '',
      'min_resolution' => '',
      'title_field' => 1,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'image',
      'settings' => array(
        'preview_image_style' => 'medium_inset_square',
        'progress_indicator' => 'throbber',
      ),
      'type' => 'image_image',
      'weight' => 13,
    ),
  );

  // Exported field_instance:
  // 'bean-ua_illustrated_link-field_ua_prettylink_image'.
  $field_instances['bean-ua_illustrated_link-field_ua_prettylink_image'] = array(
    'bundle' => 'ua_illustrated_link',
    'deleted' => 0,
    'description' => 'Image to associate with this link (there is no way to credit the image, so be sure you have appropriate rights to it).',
    'display' => array(
      'default' => array(
        'label' => 'hidden',
        'module' => 'image',
        'settings' => array(
          'image_link' => '',
          'image_style' => 'medium_tile',
        ),
        'type' => 'image',
        'weight' => 1,
      ),
    ),
    'entity_type' => 'bean',
    'field_name' => 'field_ua_prettylink_image',
    'label' => 'Image',
    'required' => 0,
    'settings' => array(
      'alt_field' => 0,
      'default_image' => 0,
      'file_directory' => '',
      'file_extensions' => 'png gif jpg jpeg',
      'max_filesize' => '',
      'max_resolution' => '',
      'min_resolution' => '',
      'title_field' => 0,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'image',
      'settings' => array(
        'preview_image_style' => 'medium_tile',
        'progress_indicator' => 'throbber',
      ),
      'type' => 'image_image',
      'weight' => 12,
    ),
  );

  // Exported field_instance:
  // 'bean-ua_illustrated_link-field_ua_prettylink_link'.
  $field_instances['bean-ua_illustrated_link-field_ua_prettylink_link'] = array(
    'bundle' => 'ua_illustrated_link',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Link to an external or internal web location (for accessibility, make sure the link title makes sense without an associated image).',
    'display' => array(
      'default' => array(
        'label' => 'hidden',
        'module' => 'link',
        'settings' => array(),
        'type' => 'link_default',
        'weight' => 0,
      ),
    ),
    'entity_type' => 'bean',
    'field_name' => 'field_ua_prettylink_link',
    'label' => 'Link',
    'required' => 1,
    'settings' => array(
      'absolute_url' => 1,
      'attributes' => array(
        'class' => '',
        'configurable_class' => 0,
        'configurable_title' => 0,
        'rel' => '',
        'target' => 'default',
        'title' => '',
      ),
      'display' => array(
        'url_cutoff' => 80,
      ),
      'enable_tokens' => 1,
      'rel_remove' => 'default',
      'title' => 'optional',
      'title_label_use_field_label' => 0,
      'title_maxlength' => 128,
      'title_value' => '',
      'url' => 0,
      'user_register_form' => FALSE,
      'validate_url' => 1,
    ),
    'widget' => array(
      'active' => 0,
      'module' => 'link',
      'settings' => array(),
      'type' => 'link_field',
      'weight' => 11,
    ),
  );

  // Exported field_instance: 'bean-ua_mini_blurb-field_ua_blurb_text'.
  $field_instances['bean-ua_mini_blurb-field_ua_blurb_text'] = array(
    'bundle' => 'ua_mini_blurb',
    'default_value' => NULL,
    'deleted' => 0,
    'description' => 'Short piece of text (only one or two paragraphs).',
    'display' => array(
      'default' => array(
        'label' => 'above',
        'module' => 'text',
        'settings' => array(),
        'type' => 'text_default',
        'weight' => 1,
      ),
    ),
    'entity_type' => 'bean',
    'field_name' => 'field_ua_blurb_text',
    'label' => 'Text',
    'required' => 0,
    'settings' => array(
      'text_processing' => 0,
      'user_register_form' => FALSE,
    ),
    'widget' => array(
      'active' => 1,
      'module' => 'text',
      'settings' => array(
        'rows' => 5,
      ),
      'type' => 'text_textarea',
      'weight' => 12,
    ),
  );

  // Translatables
  // Included for use with string extractors like potx.
  t('A freestanding image; please complete the Alt and Title information for accessibility.');
  t('A short description of one particular image.');
  t('Address');
  t('An image to support the text (which should still make sense if the image is absent). Provide image credits and accessibility support through the Alt and Title information.');
  t('Author');
  t('Caption');
  t('Email');
  t('General email address for this contact.');
  t('General phone number for the contact (use the form tel:+1-520-999-9999 for the URL).');
  t('Image');
  t('Image to associate with this link (there is no way to credit the image, so be sure you have appropriate rights to it).');
  t('License');
  t('License under which the image is used or re-used (for example CC BY, or Public Domain), optionally linked to the full version of the license.');
  t('Link');
  t('Link to an external or internal web location (for accessibility, make sure the link title makes sense without an associated image).');
  t('One or two paragraphs of text.');
  t('Phone');
  t('Read More');
  t('Short piece of text (only one or two paragraphs).');
  t('Source title');
  t('Text');
  t('Title for the image (original title preferred), optionally linked to the best source for the original.');
  t('Use to credit to the original author or authors of the image, and optionally link to a URL with more information.');

  return $field_instances;
}
